package com.yd.api.agms.vo.practitioner;

import java.util.Date;

/**
 * @author xxy
 */
public class PractitionerFileSharingSaveRequestVO {
    /**
     * serial id
     */
    private Long id;

    /**
     * FK ag_md_drop_options_id文章分类
     */
    private Long mdDropOptionId;

    /**
     * 文章内容html
     */
    private String fileContent;

    /**
     * 0=No, 1=Yes
     */
    private Integer isActive;

    private Long loginId;


    /**
     * 获取 serial id
     *
     * @return the id serial id
     */
    public Long getId() {
        return this.id;
    }

    /**
     * 设置 serial id
     *
     * @param id the serial id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取 FK ag_md_drop_options_id文章分类
     *
     * @return the mdDropOptionId FK ag_md_drop_options_id文章分类
     */
    public Long getMdDropOptionId() {
        return this.mdDropOptionId;
    }

    /**
     * 设置 FK ag_md_drop_options_id文章分类
     *
     * @param mdDropOptionId the FK ag_md_drop_options_id文章分类 to set
     */
    public void setMdDropOptionId(Long mdDropOptionId) {
        this.mdDropOptionId = mdDropOptionId;
    }

    /**
     * 获取 文章内容html
     *
     * @return the fileContent 文章内容html
     */
    public String getFileContent() {
        return this.fileContent;
    }

    /**
     * 设置 文章内容html
     *
     * @param fileContent the 文章内容html to set
     */
    public void setFileContent(String fileContent) {
        this.fileContent = fileContent;
    }

    /**
     * 获取 0=No 1=Yes
     *
     * @return the isActive 0=No 1=Yes
     */
    public Integer getIsActive() {
        return this.isActive;
    }

    /**
     * 设置 0=No 1=Yes
     *
     * @param isActive the 0=No 1=Yes to set
     */
    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    /**
     * 获取
     *
     * @return the loginId
     */
    public Long getLoginId() {
        return this.loginId;
    }

    /**
     * 设置
     *
     * @param loginId the  to set
     */
    public void setLoginId(Long loginId) {
        this.loginId = loginId;
    }

    @Override
    public String toString() {
        return "PractitionerFileSharingSaveRequestVO{" +
                "id=" + id +
                ", mdDropOptionId=" + mdDropOptionId +
                ", fileContent='" + fileContent + '\'' +
                ", isActive=" + isActive +
                ", loginId=" + loginId +
                '}';
    }
}
